package com.dayou.service;
import com.dayou.entity.DyoaRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.entity.FinanceInvoice;
import com.dayou.enums.MainBusinessEnum;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.Arrays;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据同步记录 服务类
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
public interface IDyoaRecordService extends IService<DyoaRecord> {

        Page<DyoaRecord> selectPage(Page page,DyoaRecord dyoaRecord);

        void insert(MainBusinessEnum businessEnum, Long mbsId, String dyoaId,Date orderTime);

        void isExist(MainBusinessEnum businessEnum,String dyodId);

        Date getMaxOrderTime();

        Date getMaxPersonalTargetTime();

        Date getMaxRealAmountCreatedTime();

        Date getMaxClaimDate();

        List<DyoaRecord> selectOrderFundIdByDyoaOrderId();

    Date getMaxFinanceInvoiceCreatedTime();


    Long getMbsIdByDyOAId(String id);

    Long getPersonalTargetId(String id);

    Long getMbsIdByDyOAIdForAssets(String id);

    FinanceInvoice getMbsIdByDyOAiDForInvoice(String dyoaId);

    Long getMbsRealAmountId(String incomeId, String name);

    String getMembersAndSignerInDyoa(Long id);
}

